Functions
DMA_Management
Peripheral Driver » LL Driver » QSPI | Peripheral Driver » LL Driver » SPI » Functions

## Functions
__STATIC_INLINE void | ll_qspi_enable_dma_req_tx (qspi_regs_t *QSPIx)
| Enable DMA Tx. More...
__STATIC_INLINE void | ll_qspi_disable_dma_req_tx (qspi_regs_t *QSPIx)
| Disable DMA Tx. More...
__STATIC_INLINE uint32_t | ll_qspi_is_enabled_dma_req_tx (qspi_regs_t *QSPIx)
| Check if DMA Tx is enabled. More...
__STATIC_INLINE void | ll_qspi_enable_dma_req_rx (qspi_regs_t *QSPIx)
| Enable DMA Rx. More...
__STATIC_INLINE void | ll_qspi_disable_dma_req_rx (qspi_regs_t *QSPIx)
| Disable DMA Rx. More...
__STATIC_INLINE uint32_t | ll_qspi_is_enabled_dma_req_rx (qspi_regs_t *QSPIx)
| Check if DMA Rx is enabled. More...
__STATIC_INLINE void | ll_qspi_set_dma_tx_fifo_threshold (qspi_regs_t *QSPIx, uint32_t threshold)
| Set threshold of TXFIFO that triggers an DMA Tx request event. More...
__STATIC_INLINE uint32_t | ll_qspi_get_dma_tx_fifo_threshold (qspi_regs_t *QSPIx)
| Get threshold of TXFIFO that triggers an DMA Tx request event. More...
__STATIC_INLINE void | ll_qspi_set_dma_rx_fifo_threshold (qspi_regs_t *QSPIx, uint32_t threshold)
| Set threshold of RXFIFO that triggers an DMA Rx request event. More...
__STATIC_INLINE uint32_t | ll_qspi_get_dma_rx_fifo_threshold (qspi_regs_t *QSPIx)
| Get threshold of RXFIFO that triggers an DMA Rx request event. More...
__STATIC_INLINE void | ll_spi_enable_dma_req_tx (spi_regs_t *SPIx)
| Enable DMA Tx. More...
__STATIC_INLINE void | ll_spi_disable_dma_req_tx (spi_regs_t *SPIx)
| Disable DMA Tx. More...
__STATIC_INLINE uint32_t | ll_spi_is_enabled_dma_req_tx (spi_regs_t *SPIx)
| Check if DMA Tx is enabled. More...
__STATIC_INLINE void | ll_spi_enable_dma_req_rx (spi_regs_t *SPIx)
| Enable DMA Rx. More...
__STATIC_INLINE void | ll_spi_disable_dma_req_rx (spi_regs_t *SPIx)
| Disable DMA Rx. More...
__STATIC_INLINE uint32_t | ll_spi_is_enabled_dma_req_rx (spi_regs_t *SPIx)
| Check if DMA Rx is enabled. More...
__STATIC_INLINE void | ll_spi_set_dma_tx_fifo_threshold (spi_regs_t *SPIx, uint32_t threshold)
| Set threshold of TXFIFO that triggers an DMA Tx request event. More...
__STATIC_INLINE uint32_t | ll_spi_get_dma_tx_fifo_threshold (spi_regs_t *SPIx)
| Get threshold of TXFIFO that triggers an DMA Tx request event. More...
__STATIC_INLINE void | ll_spi_set_dma_rx_fifo_threshold (spi_regs_t *SPIx, uint32_t threshold)
| Set threshold of RXFIFO that triggers an DMA Rx request event. More...
__STATIC_INLINE uint32_t | ll_spi_get_dma_rx_fifo_threshold (spi_regs_t *SPIx)
| Get threshold of RXFIFO that triggers an DMA Rx request event. More...

## Detailed Description

## Function Documentation

## ◆ ll_qspi_disable_dma_req_rx()

__STATIC_INLINE void ll_qspi_disable_dma_req_rx | ( | qspi_regs_t * | QSPIx | ) |

Disable DMA Rx.

Register|BitsName --------|-------- DMAC | RDMAE

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 2123 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_disable_dma_req_tx()

__STATIC_INLINE void ll_qspi_disable_dma_req_tx | ( | qspi_regs_t * | QSPIx | ) |

Disable DMA Tx.

Register|BitsName --------|-------- DMAC | TDMAE

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 2078 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_enable_dma_req_rx()

__STATIC_INLINE void ll_qspi_enable_dma_req_rx | ( | qspi_regs_t * | QSPIx | ) |

Enable DMA Rx.

Register|BitsName --------|-------- DMAC | RDMAE

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 2108 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_enable_dma_req_tx()

__STATIC_INLINE void ll_qspi_enable_dma_req_tx | ( | qspi_regs_t * | QSPIx | ) |

Enable DMA Tx.

Register|BitsName --------|-------- DMAC | TDMAE

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 2063 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_dma_rx_fifo_threshold()

__STATIC_INLINE uint32_t ll_qspi_get_dma_rx_fifo_threshold | ( | qspi_regs_t * | QSPIx | ) |

Get threshold of RXFIFO that triggers an DMA Rx request event.

Register|BitsName --------|-------- DMARDL | DMARDL

Parameters

  QSPIx | QSPI instance

Return values

  Returned | value can be one of the following values: 0 ~ 7

Definition at line 2200 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_dma_tx_fifo_threshold()

__STATIC_INLINE uint32_t ll_qspi_get_dma_tx_fifo_threshold | ( | qspi_regs_t * | QSPIx | ) |

Get threshold of TXFIFO that triggers an DMA Tx request event.

Register|BitsName --------|-------- DMATDL | DMATDL

Parameters

  QSPIx | QSPI instance

Return values

  Returned | value can be one of the following values: 0 ~ 7

Definition at line 2169 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_is_enabled_dma_req_rx()

__STATIC_INLINE uint32_t ll_qspi_is_enabled_dma_req_rx | ( | qspi_regs_t * | QSPIx | ) |

Check if DMA Rx is enabled.

Register|BitsName --------|-------- DMAC | RDMAE

Parameters

  QSPIx | QSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 2138 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_is_enabled_dma_req_tx()

__STATIC_INLINE uint32_t ll_qspi_is_enabled_dma_req_tx | ( | qspi_regs_t * | QSPIx | ) |

Check if DMA Tx is enabled.

Register|BitsName --------|-------- DMAC | TDMAE

Parameters

  QSPIx | QSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 2093 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_set_dma_rx_fifo_threshold()

__STATIC_INLINE void ll_qspi_set_dma_rx_fifo_threshold | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | threshold
| ) |  |

Set threshold of RXFIFO that triggers an DMA Rx request event.

Register|BitsName --------|-------- DMARDL | DMARDL

Parameters

  QSPIx | QSPI instance
  threshold | This parameter can be one of the following values: 0 ~ 7

Return values

  None |

Definition at line 2185 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_set_dma_tx_fifo_threshold()

__STATIC_INLINE void ll_qspi_set_dma_tx_fifo_threshold | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | threshold
| ) |  |

Set threshold of TXFIFO that triggers an DMA Tx request event.

Register|BitsName --------|-------- DMATDL | DMATDL

Parameters

  QSPIx | QSPI instance
  threshold | This parameter can be one of the following values: 0 ~ 7

Return values

  None |

Definition at line 2154 of file gr55xx_ll_qspi.h.

## ◆ ll_spi_disable_dma_req_rx()

__STATIC_INLINE void ll_spi_disable_dma_req_rx | ( | spi_regs_t * | SPIx | ) |

Disable DMA Rx.

Register|BitsName --------|-------- DMAC | RDMAE

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1582 of file gr55xx_ll_spi.h.

## ◆ ll_spi_disable_dma_req_tx()

__STATIC_INLINE void ll_spi_disable_dma_req_tx | ( | spi_regs_t * | SPIx | ) |

Disable DMA Tx.

Register|BitsName --------|-------- DMAC | TDMAE

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1537 of file gr55xx_ll_spi.h.

## ◆ ll_spi_enable_dma_req_rx()

__STATIC_INLINE void ll_spi_enable_dma_req_rx | ( | spi_regs_t * | SPIx | ) |

Enable DMA Rx.

Register|BitsName --------|-------- DMAC | RDMAE

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1567 of file gr55xx_ll_spi.h.

## ◆ ll_spi_enable_dma_req_tx()

__STATIC_INLINE void ll_spi_enable_dma_req_tx | ( | spi_regs_t * | SPIx | ) |

Enable DMA Tx.

Register|BitsName --------|-------- DMAC | TDMAE

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1522 of file gr55xx_ll_spi.h.

## ◆ ll_spi_get_dma_rx_fifo_threshold()

__STATIC_INLINE uint32_t ll_spi_get_dma_rx_fifo_threshold | ( | spi_regs_t * | SPIx | ) |

Get threshold of RXFIFO that triggers an DMA Rx request event.

Register|BitsName --------|-------- DMARDL | DMARDL

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one of the following values: 0 ~ 7

Definition at line 1659 of file gr55xx_ll_spi.h.

## ◆ ll_spi_get_dma_tx_fifo_threshold()

__STATIC_INLINE uint32_t ll_spi_get_dma_tx_fifo_threshold | ( | spi_regs_t * | SPIx | ) |

Get threshold of TXFIFO that triggers an DMA Tx request event.

Register|BitsName --------|-------- DMATDL | DMATDL

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one of the following values: 0 ~ 7

Definition at line 1628 of file gr55xx_ll_spi.h.

## ◆ ll_spi_is_enabled_dma_req_rx()

__STATIC_INLINE uint32_t ll_spi_is_enabled_dma_req_rx | ( | spi_regs_t * | SPIx | ) |

Check if DMA Rx is enabled.

Register|BitsName --------|-------- DMAC | RDMAE

Parameters

  SPIx | SPI instance

Return values

  State | of bit (1 or 0).

Definition at line 1597 of file gr55xx_ll_spi.h.

## ◆ ll_spi_is_enabled_dma_req_tx()

__STATIC_INLINE uint32_t ll_spi_is_enabled_dma_req_tx | ( | spi_regs_t * | SPIx | ) |

Check if DMA Tx is enabled.

Register|BitsName --------|-------- DMAC | TDMAE

Parameters

  SPIx | SPI instance

Return values

  State | of bit (1 or 0).

Definition at line 1552 of file gr55xx_ll_spi.h.

## ◆ ll_spi_set_dma_rx_fifo_threshold()

__STATIC_INLINE void ll_spi_set_dma_rx_fifo_threshold | ( | spi_regs_t * | SPIx,
|  | uint32_t | threshold
| ) |  |

Set threshold of RXFIFO that triggers an DMA Rx request event.

Register|BitsName --------|-------- DMARDL | DMARDL

Parameters

  SPIx | SPI instance
  threshold | This parameter can be one of the following values: 0 ~ 7

Return values

  None |

Definition at line 1644 of file gr55xx_ll_spi.h.

## ◆ ll_spi_set_dma_tx_fifo_threshold()

__STATIC_INLINE void ll_spi_set_dma_tx_fifo_threshold | ( | spi_regs_t * | SPIx,
|  | uint32_t | threshold
| ) |  |

Set threshold of TXFIFO that triggers an DMA Tx request event.

Register|BitsName --------|-------- DMATDL | DMATDL

Parameters

  SPIx | SPI instance
  threshold | This parameter can be one of the following values: 0 ~ 7

Return values

  None |

Definition at line 1613 of file gr55xx_ll_spi.h.